/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * _coder_digital_option_price_cg_info.c
 *
 * Code generation for function 'digital_option_price_cg'
 *
 */

/* Include files */
#include "_coder_digital_option_price_cg_info.h"
#include "emlrt.h"
#include "tmwtypes.h"

/* Function Declarations */
static const mxArray *c_emlrtMexFcnResolvedFunctionsI(void);

/* Function Definitions */
static const mxArray *c_emlrtMexFcnResolvedFunctionsI(void)
{
  const mxArray *nameCaptureInfo;
  const char_T *data[5] = {
      "789cdd54cd6e1331107650401cf8e909f1009c6315c121d7260de290409bd0aa426871bc"
      "d35dabf6dad8bb25e100483c008fd22bc7defa085cf3043c0027e26c"
      "369b5db1da4a898ce85cc6df7eb667e69bf5a0c6cb7e0321f400a576792ff5f7977867e9"
      "6fa1a295f946695fa3b81ddd46cdc2b98cffbef45446314ce2144444",
      "c0eaa42f058b48148fa60a900623f939f80be69471183101c37530b048f4d6a815b0945d"
      "7742a067c344201d9a3c43be0e567acc2aea6d5e538f2f157aec94f8"
      "b7fbeff01b03da604e3e119d18dcd5528de5041f4b7d860fc100d134c403f0f191e42466"
      "9cc5d39e5586c29c569cd1f9471975a40f7d12258463bbc423100a8f",
      "a4e4f62e9f052c26dc93ca6ef59466143c1ab4c4aadec986f53eaaa937e3851410c55e00"
      "91779a4474910e0d72dddf6f9847b384f33c528686445bbfad3e7fae"
      "8c57e4ddf4f9efeacedb5cabefc36bd65bf6f9febb0bff6df63bb4de55bc6757fa89cb78"
      "99fdab78aede69e093c381dfed7c80699b1d9c1f98b07f12ece579bc",
      "ae89539707aac0aeee9f559cbfa9ef7ed3ffe6714dbd19ffaabb6fa62606e13ded792f48"
      "620c2336976dcdf73b9579a48c2f933187edf5f96b65bc22efa6cf55"
      "eab684ab79f4e3a7dbf92e2e7eb55cc6cbecc6cf7725d547b2c79f93e3a3316def7687aa"
      "7dd2f9ffe7fb1fd33a2c85",
      ""};
  nameCaptureInfo = NULL;
  emlrtNameCaptureMxArrayR2016a(&data[0], 3288U, &nameCaptureInfo);
  return nameCaptureInfo;
}

mxArray *emlrtMexFcnProperties(void)
{
  mxArray *xEntryPoints;
  mxArray *xInputs;
  mxArray *xResult;
  const char_T *propFieldName[9] = {"Version",
                                    "ResolvedFunctions",
                                    "Checksum",
                                    "EntryPoints",
                                    "CoverageInfo",
                                    "IsPolymorphic",
                                    "PropertyList",
                                    "UUID",
                                    "ClassEntryPointIsHandle"};
  const char_T *epFieldName[8] = {
      "QualifiedName",    "NumberOfInputs", "NumberOfOutputs", "ConstantInputs",
      "ResolvedFilePath", "TimeStamp",      "Constructor",     "Visible"};
  xEntryPoints =
      emlrtCreateStructMatrix(1, 1, 8, (const char_T **)&epFieldName[0]);
  xInputs = emlrtCreateLogicalMatrix(1, 13);
  emlrtSetField(xEntryPoints, 0, "QualifiedName",
                emlrtMxCreateString("digital_option_price_cg"));
  emlrtSetField(xEntryPoints, 0, "NumberOfInputs",
                emlrtMxCreateDoubleScalar(11.0));
  emlrtSetField(xEntryPoints, 0, "NumberOfOutputs",
                emlrtMxCreateDoubleScalar(5.0));
  emlrtSetField(xEntryPoints, 0, "ConstantInputs", xInputs);
  emlrtSetField(
      xEntryPoints, 0, "ResolvedFilePath",
      emlrtMxCreateString(
          "/Users/lazarus/Dropbox/Work/Research/Ned/VolatilityFinance/"
          "ReplicationCodeManual/Code/Temp/Toolbox/digital_option_price_cg.m"));
  emlrtSetField(xEntryPoints, 0, "TimeStamp",
                emlrtMxCreateDoubleScalar(739913.8000347222));
  emlrtSetField(xEntryPoints, 0, "Constructor",
                emlrtMxCreateLogicalScalar(false));
  emlrtSetField(xEntryPoints, 0, "Visible", emlrtMxCreateLogicalScalar(true));
  xResult =
      emlrtCreateStructMatrix(1, 1, 9, (const char_T **)&propFieldName[0]);
  emlrtSetField(xResult, 0, "Version",
                emlrtMxCreateString("24.2.0.2923080 (R2024b) Update 6"));
  emlrtSetField(xResult, 0, "ResolvedFunctions",
                (mxArray *)c_emlrtMexFcnResolvedFunctionsI());
  emlrtSetField(xResult, 0, "Checksum",
                emlrtMxCreateString("l5gP0qriIlQwaw0mw0JaSH"));
  emlrtSetField(xResult, 0, "EntryPoints", xEntryPoints);
  return xResult;
}

/* End of code generation (_coder_digital_option_price_cg_info.c) */
